! Module for InversePower_Shift_Z
Module work

integer n

complex, allocatable :: A(:,:), A0(:,:), w0(:), z0(:), z(:)

real TOL
integer lnit

complex lambda
complex, allocatable :: val(:), vec(:,:)

integer ns
complex, allocatable :: shift(:)

end module work
